{-# LANGUAGE OverloadedStrings #-}

module Lucid.Aria where

import Data.Text (Text)
import Lucid.Base (Attribute, makeAttribute)

busy_ :: Text -> Attribute
busy_ = makeAttribute "aria-busy"

checked_ :: Text -> Attribute
checked_ = makeAttribute "aria-checked"

disabled_ :: Text -> Attribute
disabled_ = makeAttribute "aria-disabled"

expanded_ :: Text -> Attribute
expanded_ = makeAttribute "aria-expanded"

grabbed_ :: Text -> Attribute
grabbed_ = makeAttribute "aria-grabbed"

hidden_ :: Text -> Attribute
hidden_ = makeAttribute "aria-hidden"

invalid_ :: Text -> Attribute
invalid_ = makeAttribute "aria-invalid"

pressed_ :: Text -> Attribute
pressed_ = makeAttribute "aria-pressed"

selected_ :: Text -> Attribute
selected_ = makeAttribute "aria-selected"

activedescendant_ :: Text -> Attribute
activedescendant_ = makeAttribute "aria-activedescendant"

atomic_ :: Text -> Attribute
atomic_ = makeAttribute "aria-atomic"

autocomplete_ :: Text -> Attribute
autocomplete_ = makeAttribute "aria-autocomplete"

controls_ :: Text -> Attribute
controls_ = makeAttribute "aria-controls"

describedby_ :: Text -> Attribute
describedby_ = makeAttribute "aria-describedby"

dropeffect_ :: Text -> Attribute
dropeffect_ = makeAttribute "aria-dropeffect"

flowto_ :: Text -> Attribute
flowto_ = makeAttribute "aria-flowto"

haspopup_ :: Text -> Attribute
haspopup_ = makeAttribute "aria-haspopup"

label_ :: Text -> Attribute
label_ = makeAttribute "aria-label"

labelledby_ :: Text -> Attribute
labelledby_ = makeAttribute "aria-labelledby"

level_ :: Text -> Attribute
level_ = makeAttribute "aria-level"

live_ :: Text -> Attribute
live_ = makeAttribute "aria-live"

multiline_ :: Text -> Attribute
multiline_ = makeAttribute "aria-multiline"

multiselectable_ :: Text -> Attribute
multiselectable_ = makeAttribute "aria-multiselectable"

orientation_ :: Text -> Attribute
orientation_ = makeAttribute "aria-orientation"

owns_ :: Text -> Attribute
owns_ = makeAttribute "aria-owns"

posinset_ :: Text -> Attribute
posinset_ = makeAttribute "aria-posinset"

readonly_ :: Text -> Attribute
readonly_ = makeAttribute "aria-readonly"

relevant_ :: Text -> Attribute
relevant_ = makeAttribute "aria-relevant"

required_ :: Text -> Attribute
required_ = makeAttribute "aria-required"

setsize_ :: Text -> Attribute
setsize_ = makeAttribute "aria-setsize"

sort_ :: Text -> Attribute
sort_ = makeAttribute "aria-sort"

valuemax_ :: Text -> Attribute
valuemax_ = makeAttribute "aria-valuemax"

valuemin_ :: Text -> Attribute
valuemin_ = makeAttribute "aria-valuemin"

valuenow_ :: Text -> Attribute
valuenow_ = makeAttribute "aria-valuenow"

valuetext_ :: Text -> Attribute
valuetext_ = makeAttribute "aria-valuetext"
